@import "../../styles/setting.colors.scss", "../../styles/setting.fonts.scss";

.product-search-input {
  flex-grow: 1;
  position: relative;
  overflow: hidden;
  .line {
    content: " ";
    width: 100%;
    height: 2px;
    background-color: $accent-color-1;
    background-image: linear-gradient(
      90deg,
      transparent,
      rgba($accent-color-2, 0.5) 25%,
      rgba($accent-color-1, 0.5) 50%,
      rgba($accent-color-2, 0.5) 75%,
      transparent
    );
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    transform: scaleX(0);
    transition: 0.2s cubic-bezier(1, -0.02, 0.15, 1.03);
    opacity: 0;
  }
  input {
    &:focus,
    &:active {
      ~ .line {
        opacity: 1;
        transform: scaleX(1);
        animation: line-animation 3s infinite;
      }
    }
    &.dirty + label {
      opacity: 0;
      pointer-events: none;
      transform: translateX(50px);
    }
  }
  label {
    position: absolute;
    top: 10px;
    color: $detail-color;
    transition: 0.4s ease;
    pointer-events: none;
    display: block;

    em {
      font-family: $font-secondary;
      font-weight: 400;
    }
  }
}

.search-icon {
  position: absolute;
  top: 10px;
  right: 10px;
  color: $accent-color-2;
  border: none;
  background-color: transparent;
  font-size: inherit;

  .rtl & {
    left: 10px;
    right: auto;
  }
}

@keyframes line-animation {
  0% {
    opacity: 0;
    transform: scaleX(0);
  }
  50% {
    opacity: 1;
    transform: scaleX(1.5);
  }
  100% {
    opacity: 0;
    transform: scaleX(1.5);
  }
}
